The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Rate Limiting Profile

Prev Next

This URL updates the rate limiting profile details.

Resource URL

PUT /ratelimitingprofile/<profile_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

profile_id

Rate limiting profile id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

rateLimitingProfileId

Rate limiting profile id to be updated

Number

Yes

name

Profile name

String

Yes

domainId

Id of domain to which this profile belongs to

Number

Yes

visibleToChild

Profile visible to child domain

Boolean

Yes

description

Rate limiting profile description

String

No

lastModifiedTime

Last modified timestamp. For Update, the "lastModifiedTime" in PUT operation should be the same as returned by the GET operation for the same rate limiting profile

String

Yes

isEditable

Profile is editable or not, For update, the "isEditable" in PUT operation should be the same as returned by the GET operation for the same rate limiting profile

Boolean

Yes

lastModifiedUser

Latest user that modified the profile. For update, the "lastModifiedUser" in PUT operation should be the same as returned by the GET operation for the same rate limiting profile

String

Yes

bandwidthLimits

Bandwidth limits in the profile

Object

Yes

Details of bandwidthLimits:

Field Name

Description

Data Type

Mandatory

interfaceType

Interface type, can be "MBPS_10" / "MBPS_100" / "GBPS_1" / "GBPS_100"

String

Yes

classBandwidthDetails

Bandwidth details for each class

Array

Yes

Details of object in ClassBandwidthDetails:

Field Name

Description

Data Type

Mandatory

qosClass

Class

Number

Yes

bandwidthLimit

Bandwidth limit

Number

Yes

bandwidthUnit

Bandwidth unit, can be "KBPS" / "MBPS" / "GBPS"

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Update status

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/ratelimitingprofile/1003

Payload:

 	{
       "rateLimitingProfileId": 1003,
       "name": "UpdateProfile",
       "domainId": 0,
       "visibleToChild": false,
       "description": "Profile Not Visible To Child Domain ",
       "lastModifiedTime": "2012-10-09 13:32:56",
       "lastModifiedUser": "/admin",
       "bandwidthLimits":
       {
           "interfaceType": "GBPS_10",
           "classBandwidthDetails":
           [
               {
                   "qosClass": 1,
                   "bandwidthLimit": 1024,
                   "bandwidthUnit": "MBPS"
               },
               {
                   "qosClass": 2,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 3,
                   "bandwidthLimit": 1,
                   "bandwidthUnit": "MBPS"
               },
               {
                   "qosClass": 4,
                   "bandwidthLimit": 1,
                   "bandwidthUnit": "GBPS"
               },
               {
                   "qosClass": 5,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 6,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               },
               {
                   "qosClass": 7,
                   "bandwidthLimit": 0,
                   "bandwidthUnit": "KBPS"
               }
           ]
       }
}

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1001

internal error

2

400

2401

Rate limiting profile name is required

3

404

2403

Invalid rate limiting profile Id / profile not visible in this domain

4

400

2404

Bandwidth value cannot be greater than the configured port type

5

400

2406

Queue profile with the same name already exist

6

400

2407

Rate limiting profile name should not be greater than 40 chars

7

400

2408

Rate limiting profile description should not be greater than 250 char

8

400

2409

Only alpha numeric characters allowed in rate limiting profile name